Subject: Re: bug#34580: Service ssh-daemon could not be started

From: Ludovic Courtès <[email-masked]>
Date: Tue, 24 Sep 2019 10:08:22 +0200

Hi Brant,

"Brant Gardner" <[email-masked]> skribis:

> The most useful thing I could find in the logs:
>
> Sep 19 15:30:46 localhost sshd[261]: Server listening on 0.0.0.0 port 22.
> Sep 19 15:31:19 localhost shepherd[1]: Service ssh-daemon could not be started.
> Sep 19 15:39:58 localhost sshd[585]: Server listening on 0.0.0.0 port 22.
> Sep 19 15:39:58 localhost sshd[585]: Server listening on :: port 22.
> Sep 19 15:39:59 localhost shepherd[1]: Service ssh-daemon has been started.

As I witnessed before, it looks as though ‘sshd’ initially hanged while
trying to bind on the IPv6 address.

So I wonder if we’re just sometimes starting sshd a bit too early
wrt. to some IPv6 networking initialization, or something.  It’d be
great to have the strace output when that happens.

Thanks,
Ludo’.